Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.media.sound
Class ModelStandardTransform

    java.lang.Object
      com.sun.media.sound.ModelStandardTransform

All Implemented Interfaces:
  ModelTransform

    public class ModelStandardTransform

extends java.lang.Object
implements ModelTransform

A standard transformer used in connection blocks. It expects input values to be between 0 and 1. The result of the transform is between 0 and 1 if polarity = unipolar and between -1 and 1 if polarity = bipolar. These constraints only applies to Concave, Convex and Switch transforms.

Author:
  Karl Helgason

Field Summary
`static boolean` | `DIRECTION_MAX2MIN`
`static boolean` | `DIRECTION_MIN2MAX`
`static boolean` | `POLARITY_BIPOLAR`
`static boolean` | `POLARITY_UNIPOLAR`
`static int` | `TRANSFORM_ABSOLUTE`
`static int` | `TRANSFORM_CONCAVE`
`static int` | `TRANSFORM_CONVEX`
`static int` | `TRANSFORM_LINEAR`
`static int` | `TRANSFORM_SWITCH`

Constructor Summary
`ModelStandardTransform()`
`ModelStandardTransform(boolean direction)`
`ModelStandardTransform(boolean direction, boolean polarity)`
`ModelStandardTransform(boolean direction, boolean polarity, int transform)`

Method Summary
`boolean` | `getDirection()`
`boolean` | `getPolarity()`
`int` | `getTransform()`
`void` | `setDirection(boolean direction)`
`void` | `setPolarity(boolean polarity)`
`void` | `setTransform(int transform)`
`double` | `transform(double value)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DIRECTION_MIN2MAX

    public static final boolean DIRECTION_MIN2MAX

See Also:
  Constant Field Values

### DIRECTION_MAX2MIN

    public static final boolean DIRECTION_MAX2MIN

See Also:
  Constant Field Values

### POLARITY_UNIPOLAR

    public static final boolean POLARITY_UNIPOLAR

See Also:
  Constant Field Values

### POLARITY_BIPOLAR

    public static final boolean POLARITY_BIPOLAR

See Also:
  Constant Field Values

### TRANSFORM_LINEAR

    public static final int TRANSFORM_LINEAR

See Also:
  Constant Field Values

### TRANSFORM_CONCAVE

    public static final int TRANSFORM_CONCAVE

See Also:
  Constant Field Values

### TRANSFORM_CONVEX

    public static final int TRANSFORM_CONVEX

See Also:
  Constant Field Values

### TRANSFORM_SWITCH

    public static final int TRANSFORM_SWITCH

See Also:
  Constant Field Values

### TRANSFORM_ABSOLUTE

    public static final int TRANSFORM_ABSOLUTE

See Also:
  Constant Field Values

Constructor Detail

### ModelStandardTransform

    public ModelStandardTransform()

### ModelStandardTransform

    public ModelStandardTransform(boolean direction)

### ModelStandardTransform

    public ModelStandardTransform(boolean direction,
                                  boolean polarity)

### ModelStandardTransform

    public ModelStandardTransform(boolean direction,
                                  boolean polarity,
                                  int transform)

Method Detail

### transform

    public double transform(double value)

  Specified by:
    `transform` in interface `ModelTransform`

### getDirection

    public boolean getDirection()

### setDirection

    public void setDirection(boolean direction)

### getPolarity

    public boolean getPolarity()

### setPolarity

    public void setPolarity(boolean polarity)

### getTransform

    public int getTransform()

### setTransform

    public void setTransform(int transform)

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD